lg = love.graphics
function love.load()
	confettiSpriteBatch = lg.newImage("confetti1.png")
	csbQuads = {}
	for i = 1, 13 do
		csbQuads[i] = lg.newQuad(i*100-100, 0, 100, 100, confettiSpriteBatch:getDimensions())
		-- csbQuads[i] = lg.newQuad(i*100-100, 0, 100, 100, 100, 1300)
	end

	confettiStars = lg.newParticleSystem(confettiSpriteBatch,152)
	-- confettiStars:setQuads(csbQuads)
	confettiStars:setQuads(csbQuads)
	confettiStars:setParticleLifetime(.3,1.1)
	confettiStars:setSpin(-3.5,3.5)
	confettiStars:setSizes(0.25)
	confettiStars:setSizeVariation(.2)
	confettiStars:setDirection(math.pi/2*-1)
	confettiStars:setSpread(.2)
	confettiStars:setSpeed(300,800)
	confettiStars:setLinearAcceleration(-5, 200, 5, 255)
	confettiStars:setEmissionArea( "normal", 650, 2, 0, false )
end

function love.mousepressed(x,y, button)

end

function love.keypressed(key)
	if key == "escape" then
		love.event.quit()
	else
		confettiStars:emit(100)
	end
end

function love.update(dt)
	confettiStars:update(dt)
end

function love.draw()

	lg.print("Press any button to release the particles", 5, 5)
	lg.print("Escape to quit.", 5, 20)

	-- this works as expected.  it will display the image based off number
	-- lg.draw(confettiSpriteBatch, csbQuads[3], 150, 150)
	lg.setColor(1,1,1,1)
	lg.draw(confettiStars, love.graphics.getWidth() * 0.5, love.graphics.getHeight()+50)
end